From 85be04a556acc0d0cd83de7579c81d73a8f449db Mon Sep 17 00:00:00 2001
From: adilger <adilger>
Date: Wed, 23 Mar 2005 18:54:34 +0000
Subject: [PATCH] Branch: HEAD Move clearpatches.sh and confirmpatches.sh into
 build from lustre-core.

---
 build/clearpatches.sh   | 12 ++++++++++++
 build/confirmpatches.sh | 11 +++++++++++
 2 files changed, 23 insertions(+)
 create mode 100644 build/clearpatches.sh
 create mode 100644 build/confirmpatches.sh

diff --git a/build/clearpatches.sh b/build/clearpatches.sh
new file mode 100644
index 0000000000..de31352b83
--- /dev/null
+++ b/build/clearpatches.sh
@@ -0,0 +1,12 @@
+SERIESPATH=./series
+PATCHESPATH=./patches
+NOUSEPATH=./nousepatches
+
+#mkdir -p $NOUSEPATH
+for PATCH in `ls $PATCHESPATH | grep -v CVS` ; do
+	#echo $PATCH
+ 	if ! grep -rq $PATCH $SERIESPATH ; then
+		echo "$PATCH"
+	  	#mv $PATCHESPATH/$PATCH $NOUSEPATH
+	fi
+done
diff --git a/build/confirmpatches.sh b/build/confirmpatches.sh
new file mode 100644
index 0000000000..18016c6bf6
--- /dev/null
+++ b/build/confirmpatches.sh
@@ -0,0 +1,11 @@
+SERIESPATH=./series
+PATCHESPATH=./patches
+for SERIES in `ls $SERIESPATH | grep -v CVS` ; do
+	#echo $SERIES
+	for PATCH in `cat $SERIESPATH/$SERIES`; do
+		#echo $PATCH
+		if [ ! `find $PATCHESPATH -name $PATCH` ]; then
+			echo "$SERIESPATH/$SERIES: patch $PATCH was not found !"
+		fi
+	done
+done
-- 
GitLab